// Copyright 2002-2003 University of Guelph, All Rights Reserved
import java.util.*;
import java.io.*;
import java.math.*;

class GenStrongKProblem {

  static {
	Debug.DEBUG_LEVEL = Debug.DEBUG_OFF;
  }

 public static void main(String Args[]) throws IOException, Exception {
   int type = Problem.ZEBRA;

	if (Args.length != 3) {
	  printUsageMessage();
	  System.exit(1);
	} else {
	  if (Args[0].equals("S")) {
		type = Problem.SHERLOCK;
		if (Debug.DEBUG_LEVEL >= Debug.DEBUG_MEDIUM) {
		  System.out.println("Sherlock");
		}
	  } else if (Args[0].equals("Z")) {
		if (Debug.DEBUG_LEVEL >= Debug.DEBUG_MEDIUM) {
		  System.out.println("Zebra");
		}
		type = Problem.ZEBRA;
	  } else {
		printUsageMessage();
		System.exit(1);
	  }
	}

	PrintWriter out;
	PrintWriter solnOut;

	out = new PrintWriter(new FileWriter(Args[1]));
	solnOut = new PrintWriter(new FileWriter(Args[2]));

	NewKProb newProb = new NewKProb(out, solnOut, type);

	newProb.generateProblem();

	out.close();
	solnOut.close();
  }
  
  public static void printUsageMessage() {
	System.out.println("Usage: java GenStrongKProblem S|Z output-filename solution-filename");
	System.out.println("Where S is for Sherlock and Z is for Zebra");
  }
}
